using System;
using JPGL.Common;
using JPGL.Common.Primitives;
using JPGL.Math;

namespace DrivingGame
{
	/// <summary>
	/// Summary description for House.
	/// </summary>
	public class House : SceneNode
	{
		//-------------------------------------------------------------------------//
		public House(Ode.Space s) : base(new LoadedPrimitive("house1.obj"), new Transform())
		{
			T.T.X = 2;
			T.T.Z = -35;
			T.S.X = T.S.Y = T.S.Z = 2.25f;
			P.Texture = JPGL.OpenGL.GraphicsSystem.LoadTexture("house1.jpg");

			Ode.BoxGeom b = new Ode.BoxGeom(s, 4.449f*T.S.X, 3.153f*T.S.Y, 2.267f*T.S.Z);
			b.Position = new Ode.Vector3(0.584f+T.T.X, 1.571f+T.T.Y, T.T.Z);
		}
	}
}
