using System;

namespace JPGL.Math
{
	/// <summary>
	/// Summary description for GeneralMath.
	/// </summary>
	public class GeneralMath
	{
		public static bool SpherePlaneCollision(Vector3 normal, Vector3 point, Vector3 spoint, float sradius)
		{
			Sharp3D.Math.Geometry3D.Plane p = new Sharp3D.Math.Geometry3D.Plane(normal.m_Vec3, point.m_Vec3);
			
			if (Sharp3D.Math.Geometry3D.DistanceMethods.Distance(spoint.m_Vec3, p) > sradius) return true;
			

			return false;
		}
	}
}
